Cyan Web API - Version 1


GET api/tenantApplications

            Gets TenantApplications.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "tenantId": "b687770d-19fd-40d6-bfe4-19d0903442e7",
    "applicationId": "2e3c4c67-6a44-48d2-9a44-70d00475c5d1",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-08-06T05:00:04.9665901+00:00",
    "updatedDateUtc": "2026-08-06T05:00:04.9665901+00:00"
  },
  {
    "tenantId": "b687770d-19fd-40d6-bfe4-19d0903442e7",
    "applicationId": "2e3c4c67-6a44-48d2-9a44-70d00475c5d1",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-08-06T05:00:04.9665901+00:00",
    "updatedDateUtc": "2026-08-06T05:00:04.9665901+00:00"
  },
  {
    "tenantId": "b687770d-19fd-40d6-bfe4-19d0903442e7",
    "applicationId": "2e3c4c67-6a44-48d2-9a44-70d00475c5d1",
    "licenseKey": "sample string 3",
    "isLicenseKeyActive": true,
    "totalLicenses": 5,
    "applicationLookupKey": "sample string 6",
    "createdDateUtc": "2026-08-06T05:00:04.9665901+00:00",
    "updatedDateUtc": "2026-08-06T05:00:04.9665901+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfTenantApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-08-06T05:00:04.9665901+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-06T05:00:04.9665901+00:00</UpdatedDateUtc>
    <ApplicationId>2e3c4c67-6a44-48d2-9a44-70d00475c5d1</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b687770d-19fd-40d6-bfe4-19d0903442e7</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-08-06T05:00:04.9665901+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-06T05:00:04.9665901+00:00</UpdatedDateUtc>
    <ApplicationId>2e3c4c67-6a44-48d2-9a44-70d00475c5d1</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b687770d-19fd-40d6-bfe4-19d0903442e7</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
  <TenantApplicationRepresentation>
    <CreatedDateUtc>2026-08-06T05:00:04.9665901+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-06T05:00:04.9665901+00:00</UpdatedDateUtc>
    <ApplicationId>2e3c4c67-6a44-48d2-9a44-70d00475c5d1</ApplicationId>
    <ApplicationLookupKey>sample string 6</ApplicationLookupKey>
    <IsLicenseKeyActive>true</IsLicenseKeyActive>
    <LicenseKey>sample string 3</LicenseKey>
    <TenantId>b687770d-19fd-40d6-bfe4-19d0903442e7</TenantId>
    <TotalLicenses>5</TotalLicenses>
  </TenantApplicationRepresentation>
</ArrayOfTenantApplicationRepresentation>